<div class="main-wrapper">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div class="logo-completa">
        <img src="assets/img/logo_completa_02.png">
    </div>
    <div class="auth-wrapper d-flex no-block justify-content-center align-items-center"
         style="background:url(assets/img/office.jpg) no-repeat center center; background-size: cover;">
        <div class="auth-box p-4 bg-white rounded">
            <div id="div_loginform">
                <div class="logo">
                    <h3 class="box-title mb-3">Logar</h3>
                </div>
                <!-- Form -->
                <div class="row">
                    <div class="col-12">
                        <form class="form-horizontal mt-3 form-material" id="loginform">
                            <div class="form-group mb-3">
                                <div class="">
                                    <input #inputLogin [ngModelOptions]="{standalone: true}" [(ngModel)]="username"
                                           class="form-control" type="text" required=""
                                           placeholder="Usuário"></div>
                            </div>
                            <div class="form-group mb-4">
                                <div class="">
                                    <input [ngModelOptions]="{standalone: true}" [(ngModel)]="password"
                                           class="form-control" type="password" required=""
                                           placeholder="Senha"></div>
                            </div>
                            <div class="form-group">
                                <div class="d-flex">
                                    <div class="checkbox checkbox-info pt-0">
                                        <input id="checkbox-signup" type="checkbox"
                                               class="material-inputs chk-col-indigo">
                                        <label for="checkbox-signup"> Lembrar-me </label>
                                    </div>
                                    <div class="ml-auto">
                                        <a href="javascript:void(0)" id="to-recover" class="text-muted float-right"><i
                                                class="fa fa-lock mr-1"></i> Esqueci a senha</a>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group text-center mt-4" *ngIf="errorMessage">
                                <div class="alert alert-danger" role="alert">
                                    {{ errorMessage }}
                                </div>
                            </div>

                            <div class="form-group text-center mt-4">
                                <div class="col-xs-12">
                                    <button (click)="signIn()"
                                            class="btn btn-info btn-lg btn-block text-uppercase waves-effect waves-light">
                                        Entrar
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div id="recoverform">
                <div class="logo">
                    <h3 class="font-weight-medium mb-3">Recuperar senha</h3>
                    <span class="text-muted">Coloque seu usuário e receba as instruções para alterar sua senha!</span>
                </div>
                <div class="row mt-3 form-material">
                    <!-- Form -->
                    <form class="col-12">
                        <!-- email -->
                        <div class="form-group row">
                            <div class="col-12">
                                <input [ngModelOptions]="{standalone: true}" [(ngModel)]="username" class="form-control"
                                       type="email" required=""
                                       placeholder="Usuário">
                            </div>
                        </div>
                        <!-- pwd -->
                        <div class="row mt-3">
                            <div class="col-12">
                                <button (click)="forgotPassword()"
                                        class="btn btn-block btn-lg btn-primary text-uppercase">Recuperar senha
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
